Your submission was sent successfully! Close

CVE-2018-12699

Published: 23 June 2018

finish_stab in stabs.c in GNU Binutils 2.30 allows attackers to cause a denial of service (heap-based buffer overflow) or possibly have unspecified other impact, as demonstrated by an out-of-bounds write of 8 bytes. This can occur during execution of objdump.

Priority

Low

CVSS 3 base score: 9.8

Status

Package Release Status
binutils
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic
Released (2.30-21ubuntu1~18.04.3)
cosmic Ignored
(reached end-of-life)
disco Not vulnerable
(2.32-7ubuntu4)
eoan Not vulnerable
(2.32-8ubuntu1)
focal Not vulnerable
(2.32-8ubuntu1)
groovy Not vulnerable
(2.32-8ubuntu1)
hirsute Not vulnerable
(2.32-8ubuntu1)
impish Not vulnerable
(2.32-8ubuntu1)
jammy Not vulnerable
(2.32-8ubuntu1)
precise Ignored
(end of ESM support, was needs-triage)
trusty Needs triage

upstream
Released (2.32.51.20190707-1)
xenial
Released (2.26.1-1ubuntu1~16.04.8+esm1)
Patches:
upstream: https://gcc.gnu.org/git/?p=gcc.git;a=commit;h=03e51746ed98d9106803f6009ebd71ea670ad3b9